### Method

# GLib IOChannel write

deprecated: 2.2

#### Declaration

    GIOError
    g_io_channel_write (
      GIOChannel* channel,
      const gchar* buf,
      gsize count,
      gsize* bytes_written
    )

#### Description

Writes data to a `GIOChannel`.

Deprecated since: 2.2

Use `g_io_channel_write_chars()` instead.

#### Parameters

`buf`

  Type: `const gchar*`

  The buffer containing the data to write.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`count`

  Type: `gsize`

  The number of bytes to write.

`bytes_written`

  Type: `gsize*`

  The number of bytes actually written.

  The data is owned by the caller of the method.

#### Return value

Type: `GIOError`

`G_IO_ERROR_NONE` if the operation was successful.